Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VMMetrics.Record

    java.lang.Object
      com.xensource.xenapi.VMMetrics.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  VMMetrics

    public static class VMMetrics.Record

extends Object
implements Types.Record

Represents all the fields in a VMMetrics

Field Summary
`Date` | `installTime` Time at which the VM was installed
`Date` | `lastUpdated` Time at which this information was last updated
`Long` | `memoryActual` Guest's actual memory (bytes)
`Map<String,String>` | `otherConfig` additional configuration
`Date` | `startTime` Time at which this VM was last booted
`Set<String>` | `state` The state of the guest, eg blocked, dying etc
`String` | `uuid` Unique identifier/object reference
`Map<Long,Long>` | `VCPUsCPU` VCPU to PCPU map
`Map<Long,Set<String>>` | `VCPUsFlags` CPU flags (blocked,online,running)
`Long` | `VCPUsNumber` Current number of VCPUs
`Map<String,String>` | `VCPUsParams` The live equivalent to VM.VCPUs_params
`Map<Long,Double>` | `VCPUsUtilisation` Utilisation for all of guest's current VCPUs

Constructor Summary
`VMMetrics.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a VM_metrics.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### memoryActual

    public Long memoryActual

  Guest's actual memory (bytes)

### VCPUsNumber

    public Long VCPUsNumber

  Current number of VCPUs

### VCPUsUtilisation

    public Map<Long,Double> VCPUsUtilisation

  Utilisation for all of guest's current VCPUs

### VCPUsCPU

    public Map<Long,Long> VCPUsCPU

  VCPU to PCPU map

### VCPUsParams

    public Map<String,String> VCPUsParams

  The live equivalent to VM.VCPUs_params

### VCPUsFlags

    public Map<Long,Set<String>> VCPUsFlags

  CPU flags (blocked,online,running)

### state

    public Set<String> state

  The state of the guest, eg blocked, dying etc

### startTime

    public Date startTime

  Time at which this VM was last booted

### installTime

    public Date installTime

  Time at which the VM was installed

### lastUpdated

    public Date lastUpdated

  Time at which this information was last updated

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

Constructor Detail

### VMMetrics.Record

    public VMMetrics.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a VM_metrics.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD